package br.ufrgs.inf.prosoft.tigris.monitoring.usersession;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * The type User getter factory.
 */
public class UserGetterFactory {

    /**
     * The Logger.
     */
    static Logger logger = LoggerFactory.getLogger(UserGetterFactory.class);

    /**
     * Gets instance.
     *
     * @return the instance
     */
    public static UserGetter getInstance() {
        try {
            return new SpringUserGetter();
        } catch (Exception e) {
            return new AnonymousUserGetter();
        }
    }
}
